Groovy 1.7.0

## groovy.servlet
Class ServletBinding.ServletOutput

    java.lang.Object
      groovy.servlet.ServletBinding.ServletOutput

    class ServletBinding.ServletOutput

A class to manage the response output stream and writer. If the stream have been 'used', then using the writer will cause a IllegalStateException. If the writer have been 'used', then using the stream will cause a IllegalStateException. 'used' means any write method has been called. Simply requesting the objects will not cause an exception.

author:
  Jochen Theodorou

Constructor Summary
`ServletBinding.ServletOutput(HttpServletResponse response)`

Method Summary
`ServletOutputStream` | `getOutputStream()`
`PrintWriter` | `getWriter()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ServletBinding.ServletOutput

    public ServletBinding.ServletOutput(HttpServletResponse response)

Method Detail

### getOutputStream

    public ServletOutputStream getOutputStream()

### getWriter

    public PrintWriter getWriter()

Copyright © 2003-2009 The Codehaus. All rights reserved.